Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.tree
Class UITreePipeline.Node

    java.lang.Object
      de.grogra.util.Tree.Node
          de.grogra.pf.ui.tree.UITreePipeline.Node

All Implemented Interfaces:
  java.util.EventListener

Enclosing class:
  UITreePipeline

    public final class UITreePipeline.Node

extends Tree.Node
implements EventListener

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.util.EventListener
`EventListener.Bicast, EventListener.Multicaster`

Field Summary
`java.lang.Object` | `userData`

Fields inherited from class de.grogra.util.Tree.Node
`children, next, parent`

Constructor Summary
`UITreePipeline.Node(UINodeHandler handler, java.lang.Object node)`

Method Summary
`void` | `dispose()`
`boolean` | `equals(java.lang.Object o)`
`void` | `eventOccured(java.util.EventObject event)` This method is invoked on registered event listeners when `event` has occured.
`UITreePipeline.Node` | `getChild(java.lang.String name)`
`java.lang.String` | `getName()`
`java.lang.Object` | `getNode()`
`UINodeHandler` | `getNodeHandler()`
`UITreePipeline` | `getPipeline()`
`int` | `getType()`
`java.lang.Object` | `invoke(java.lang.String method, java.lang.Object arg)`
`boolean` | `isLeaf()`
`java.lang.String` | `toString()`

Methods inherited from class de.grogra.util.Tree.Node
`addChild, getChild, getChildCount, getChildren, getLastSibling, getPath, getTreePath, insertChainBefore, insertChild, remove, removeChild, removeLastChild, replace, setChildren, setNext`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### userData

    public java.lang.Object userData

Constructor Detail

### UITreePipeline.Node

    public UITreePipeline.Node(UINodeHandler handler,
                               java.lang.Object node)

Method Detail

### dispose

    public void dispose()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### eventOccured

    public void eventOccured(java.util.EventObject event)

  Description copied from interface: `EventListener`
  This method is invoked on registered event listeners when `event` has occured. This general listener interface does not restrict the possible kinds of events. Concrete sources of events should specify which events they may fire.

  Parameters:
    `event` - an event

### getChild

    public UITreePipeline.Node getChild(java.lang.String name)

### getName

    public java.lang.String getName()

### getNode

    public java.lang.Object getNode()

### getNodeHandler

    public UINodeHandler getNodeHandler()

### getPipeline

    public UITreePipeline getPipeline()

### getType

    public int getType()

### invoke

    public java.lang.Object invoke(java.lang.String method,
                                   java.lang.Object arg)

### isLeaf

    public boolean isLeaf()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD